SystematicRisk {PerformanceAnalytics} | R Documentation

## Systematic risk of the return distribution

### Description

Systematic risk as defined by Bacon(2008) is the product of beta by market risk. Be careful ! It's not the same definition as the one given by Michael Jensen. Market risk is the standard deviation of the benchmark. The systematic risk is annualized

### Usage

    SystematicRisk(Ra, Rb, Rf = 0, scale = NA, ...)

### Arguments

`Ra` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`Rb` | return vector of the benchmark asset
`Rf` | risk free rate, in same period as your returns
`scale` | number of periods in a year (daily scale = 252, monthly scale = 12, quarterly scale = 4)
`...` | any other passthru parameters

### Details

systematic risk = beta * market risk

where σ_s is the systematic risk, β is the regression beta, and σ_m is the market risk

### Author(s)

Matthieu Lestel

### References

Carl Bacon, Practical portfolio performance measurement and attribution, second edition 2008 p.75

### Examples

    data(portfolio_bacon)
    print(SystematicRisk(portfolio_bacon[,1], portfolio_bacon[,2])) #expected 0.013

    data(managers)
    print(SystematicRisk(managers['1996',1], managers['1996',8]))
    print(SystematicRisk(managers['1996',1:5], managers['1996',8]))

[Package PerformanceAnalytics version 1.5.3 Index]